Telegram APIAccount
account.getTheme
Get theme information
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Get theme information
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.getTheme" \ -H "Content-Type: application/json" \ -d '{ "params": { "format": "string", "theme": { "_": "inputTheme", "id": "string", "accessHash": "string" } } }'{ "result": { "_": "theme", "creator": true, "default": true, "forChat": true, "id": "string", "accessHash": "string", "slug": "string", "title": "string", "document": { "_": "documentEmpty", "id": "string" }, "settings": [ { "_": "themeSettings", "messageColorsAnimated": true, "baseTheme": { "_": "baseThemeClassic" }, "accentColor": 0, "outboxAccentColor": 0, "messageColors": [ 0 ], "wallpaper": { "_": "wallPaper", "id": "string", "creator": true, "default": true, "pattern": true, "dark": true, "accessHash": "string", "slug": "string", "document": { "_": "documentEmpty", "id": "string" }, "settings": { "_": "wallPaperSettings", "blur": true, "motion": true, "backgroundColor": 0, "secondBackgroundColor": 0, "thirdBackgroundColor": 0, "fourthBackgroundColor": 0, "intensity": 0, "rotation": 0, "emoticon": "string" } } } ], "emoticon": "string", "installsCount": 0 }}